unlock Iphone4 4.2.1

Discussion in 'Jailbreaks and iOS Hacks' started by danxhafa, Feb 8, 2011.

  1. danxhafa macrumors newbie

    Joined:
    Jan 22, 2011
    #1
    hey there
    any news for the unlock of Iphone4 4.2.1???or not yet out??

    thnx in advance
     
  2. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #2
    No you should have preserved your baseband. Nobody knows when sorry. I promise everybody will know when it happens.
     
  3. marvlaw macrumors member

    Joined:
    Jan 25, 2010
    #3
    What is the highest version of the iphone 4 that can be unlocked?
     
  4. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #4
    4.0.2
     
  5. fahad2mail macrumors newbie

    Joined:
    Oct 24, 2010
    #5
    so i cant upgrade my ip4 to 4.1 and unlock it you are saying? :)
     
  6. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #6
    If you have an unlockable baseband right now you can preserve it and update your firmware.
    If you're already on official 4.1 and above you cannot unlock your i4 right now.
     
  7. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #7
    Totally agree with Applejuice. Unlock is base on baseband, so currently, Ultrasn0w works for Iphone 4 with base 01.59. If OP has Iphone with 4.2.1 with preserve baseband 01.59, he/she can unlock it with ultrasn0w. Otherwise, he/she stucks with a very expensive Ipod touch until the new unlock comes out.
     
  8. Rajani Isa macrumors 65816

    Rajani Isa

    Joined:
    Jun 8, 2010
    #8
    Maybe the OP just bought their phone? If so, they could not of preserved the baseband.
     
  9. TheNewDude macrumors 6502a

    Joined:
    Mar 17, 2010
    #9
    Is there any way of checking which baseband you have right on the phone?
     
  10. Rajani Isa macrumors 65816

    Rajani Isa

    Joined:
    Jun 8, 2010
    #10
    Settings -> General -> About -> Modem Firmware
     
  11. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #11
    Settings/general/about/modem firmware version.
    Rajani beat me:)
     
  12. Rajani Isa macrumors 65816

    Rajani Isa

    Joined:
    Jun 8, 2010
    #13
    *flexes typing muscles* with the snazzy arrows too! :D
     
  13. Stuart21 macrumors member

    Joined:
    Jun 9, 2010
    #14
    I have not updated since 4.1 because I didnt want to lose my unlock for when I go to sell it. I'm on BB 1.59. I have saved all my shsh blobs. Can I upgrade it with tiny umbrella preserve the BB and jailbreak. If so how would I go about doing it. I know I can probally search and find it but I sometimes get confused b/c when I read into it sounds like if you update you will lose your unlock even if you have all your blobs saved and your on a unlockable BB.
     
  14. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #15
    Lmao:D
    Sorry OP, you're out if luck at the moment.

    Follow this:
    http://thefirmwareumbrella.blogspot.com/p/prevent-iphone4-baseband-update.html
     
  15. bridget33 macrumors newbie

    Joined:
    Feb 13, 2011
    #16
    After 4.2.1 06.15.00 update NO wifi, bluetooth or Modem Firmware

    Hi,
    I've run Redsnow 9.6.b6 on my 3gs and now there is NO modem firmware, NO wifi, NO bluetooth, and NO IMEI or ICCD. Does anyone have any suggestions of what I can do? I can't even run cydia to install ultrsnow because there is no wifi now. And the phone keeps rebooting every three minutes too.
     
  16. Weiser878 macrumors regular

    Joined:
    Sep 9, 2009
    #17
    Well, Ultransn0w wouldn't work on your baseband anyway.
    You just need to restore to new and re jailbreak using Greenpois0n. The unlocking advice about and blobs don't apply to you because 6.15 is not unlockable.

    Plug into iTunes and pick "restore"
     
  17. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #18
    I am not sure where you get your info. However, your information is incorrect. Ultrasn0w 1.2 works for baseband 06.15. Please refer to dev team blog, redmond pie, or Iclarified.com
     

Share This Page